% C-programmes compilation
%% ========================
   dirsrc='SRC/STRATEGY_SIMULATION/C';
outdir='SRC/STRATEGY_SIMULATION/obj';
   ficsrc=dir(dirsrc); % les fichiers du dir
for i=1:length(ficsrc)
    nom=ficsrc(i).name; % nom d'un fichier
    if length(regexpi(nom,'.c$'))
        expr=['mex -outdir ' outdir ' ' dirsrc '/' ficsrc(i).name '  -lmwlapack' ]
        eval(expr)
    end
end
